| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csDirectXError Class Reference
[Common Plugin Classes]

Obtain symbols and descriptions for DirectX error codes. More...

`#include <csplugincommon/directx/error.h>`

List of all members.

## Static Public Member Functions
static const char * | GetErrorDescription (HRESULT hr)
| Get the description for an error code (like `"Something has happened"`).
static const char * | GetErrorSymbol (HRESULT hr)
| Get the symbol for an error code (like `"DXERROR_SOMETHING"`).

## Detailed Description

Obtain symbols and descriptions for DirectX error codes.

Remarks:
  Provides a similar service like the "dxerr" library. However, since that library is static, compiler-dependent and not necessarily available, it's safer to just roll a custom version.

Definition at line 38 of file error.h.

## Member Function Documentation

static const char* csDirectXError::GetErrorDescription | ( | HRESULT | hr | ) | `[static]`

Get the description for an error code (like `"Something has happened"`).

Remarks:
  Return value only guaranteed to be valid until next call.

static const char* csDirectXError::GetErrorSymbol | ( | HRESULT | hr | ) | `[static]`

Get the symbol for an error code (like `"DXERROR_SOMETHING"`).

Remarks:
  Return value only guaranteed to be valid until next call.

The documentation for this class was generated from the following file:

- csplugincommon/directx/error.h